version.bash: cope with ancient Mercurial

R=adg
CC=dpx, golang-dev
https://golang.org/cl/593043
diff --git a/src/version.bash b/src/version.bash
index c2a70ac..2d29825 100755
--- a/src/version.bash
+++ b/src/version.bash
@@ -10,10 +10,16 @@
 fi
 
 # Get numerical revision
-VERSION="`hg identify -n`"
+VERSION=$(hg identify -n 2>/dev/null)
+if [ $? = 0 ]; then
+	TAG=$(hg identify -t | sed 's!/release!!')
+else
+	OLD=$(hg identify | sed 1q)
+	VERSION=$(echo $OLD | awk '{print $1}')
+	TAG=$(echo $OLD | awk '{print $2}' | sed 's!/release!!')
+fi
 
 # Append tag if not 'tip'
-TAG=$(hg identify -t | sed 's!/release!!')
 if [[ "$TAG" != "tip" ]]; then
 	VERSION="$VERSION $TAG"
 fi